<template>
  <div id="app">
    <v-nav>
        <a href="#!" class="brand-logo" slot="logo">
          <router-link to="/"><img id="logo" src="./assets/logo.png"></router-link>
        </a>
        <ul class="right hide-on-med-and-down">
          <li v-if="auth.user.authenticated === false">
            <a href="#!">
              <router-link to="/login">Login</router-link>
            </a>
          </li>
          <li v-if="auth.user.authenticated === false">
            <a href="#!">
              <router-link to="/register">Register</router-link>
            </a>
          </li>
          <li v-if="auth.user.authenticated">
            <a href="#!">
              <router-link to="/logout">Logout</router-link>
            </a>
          </li>
        </ul>
        <ul class="left show-on-medium-and-down hide-on-med-and-up">
          <li>
            <a href="#!">
              <v-icon v-side-nav:side="nav" tiny>menu</v-icon>
            </a>
          </li>
        </ul>
    </v-nav>
    <v-side-nav id="side" slot="side-nav">
      <ul class="right">
        <li v-if="auth.user.authenticated === false">
          <a href="#!">
            <router-link to="/login">Login</router-link>
          </a>
        </li>
        <li v-if="auth.user.authenticated === false">
          <a href="#!">
            <router-link to="/register">Register</router-link>
          </a>
        </li>
        <li v-if="auth.user.authenticated">
          <a href="#!">
            <router-link to="/logout">Logout</router-link>
          </a>
        </li>
      </ul>
    </v-side-nav>
    <router-view></router-view>
  </div>
</template>

<script>
import auth from '@/auth';

auth.checkAuth();

export default {
  name: 'app',
  data() {
    return {
      nav: {
        edge: 'left',
      },
      auth,
    };
  },
};
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#logo{
  height: 60px;
}
</style>
